What's New in UFT Developer 23.4

This topic describes the new features and enhancements available in UFT Developer 23.4.

Note: This Help Center includes documentation relevant for UFT Developer versions 2021 through 23.4. Any version-specific changes are indicated where relevant.

See also What's New in UFT Developer - earlier versions.

Micro Focus is now OpenText

The UFT Developer user interface and documentation is updated to reflect that Micro Focus is now OpenText.

Back to top

AI-based web testing enhancements

When testing web applications, additional operations are now supported on AI objects: RightClick, DoubleClick, LongClick, SetText and Hover.

See the Java and JavaScript SDK references.

Back to top

Text recognition enhancements

The following text recognition enhancements are available in this release: 

  • If the ABBYY OCR engine is included in the UFT Developer 23.4 installation, an updated version of the ABBYY OCR engine is used, enhancing its text recognition ability. The results of the GetTextLocation or GetVisibleText methods are now more accurate, which might affect the behavior of tests written with previous versions of UFT Developer.

  • AI-based text recognition now ignores text identified in unexpected areas or controls, and breaks up text strings based on the borders of identified UI controls. If your existing tests require restoring the previous behavior, contact support for assistance.

Back to top

Mobile testing enhancements

UFT Developer now supports working with ValueEdge Digital Lab, whereas previously only UFT Digital Lab was supported.

See Test mobile apps.

Back to top

.NET updates

You can now write tests in .NET 5, 6, and 7.

UFT Developer provides templates for working with both .NET Framework and .NET, according to your preference.

See Create a UFT Developer testing project or module.

Back to top

Docker updates

This version of UFT Developer includes the following Docker updates:

New Docker image

A new Docker image is now available: uftdeveloper-edge. This image is based on the basic UFT Developer image and includes an Edge Chromium browser.

Using self-signed certificates

Enable tests to access a web site using a self-signed certificate on Firefox.

This was previously supported for Chrome browsers.

See Run tests in Docker containers.

Back to top

Installation & licensing

This version of UFT Developer includes the following installation updates:

Prerequisites You can now use Node.js version 18 or 20 with UFT Developer.
AutoPass Multi-Tenant License Server

On Windows, you can now consume a concurrent license from an AutoPass License Server with multi-tenancy enabled. When connecting to a multi-tenant license server, provide the tenant information.

See Install UFT Developer license using the License wizard (Windows) and Install UFT Developer license from the command line (Windows).

Remote Commuter licenses on Linux or Mac

You can now install Remote Commuter licenses on Linux or Mac when working with AutoPass version 2022.08 or later.

This was previously supported with AutoPass 12.3 and earlier.

See Install UFT Developer license on Linux/Mac.

Back to top

Supported technology versions

UFT Developer continues to extend its technology, framework, and browser support. This version includes the following additional support: 

License server versions

License server Versions
AutoPass 2023.05

Operating system versions

Operating system Versions
Windows 10 22H2 update
Windows 11 22H2 update
Windows Server 2022

Technology versions

Technology Versions
Angular 15.x
Java
  • Oracle JDK 19

  • OpenJDK 19

  • Zulu OpenJDK 19

Follow the configuration requirements in Test Java applications, version 16 or later.

Jasmine 5.x
Mocha 10.x
SAP
  • SAPUI5 1.108

  • SAP GUI 8.00 (32-bit and 64-bit)

Testing framework versions

MSTest v2
NUnit 3.13.3

Browser versions

Browser Versions
Chrome 111 - 118
Edge Chromium 111 -118
Firefox 111 - 118
Safari 15

IDE versions

IDE Versions
Eclipse 2023-06
IntelliJ IDEA 2023.1

Impending discontinued versions

The following technologies and versions are no longer supported by their manufacturers. Therefore, in the next release, UFT Developer will no longer support working with them:

  • Node.js 16

  • Visual Studio 2013 and 2015

  • IntelliJ 2020.x

  • Legacy Edge browser

For more details, see the Support Matrix.

Back to top

See also: